---
# Warning: gitlab.Acronyms
#
# Checks for unexpanded acronyms.
#
# For a list of all options, see https://errata-ai.gitbook.io/vale/getting-started/styles
extends: conditional
message: '"%s" has no definition.'
link: https://about.gitlab.com/handbook/marketing/growth-marketing/content/editorial-team/#acronyms
level: warning
ignorecase: false
# Ensures that the existence of 'first' implies the existence of 'second'.
first: '\b([A-Z]{3,5})\b'
second: '(?:\b[A-Z][a-z]+ )+\(([A-Z]{3,5})\)'
# ... with the exception of these:
exceptions:
  - AJAX
  - ANSI
  - API
  - ARM
  - ARN
  - ASCII
  - AWS
  - BSD
  - CAS
  - CDN
  - CLI
  - CNA
  - CNAME
  - CORE
  - CPU
  - CRIME
  - CSRF
  - CSS
  - CSV
  - CVE
  - CVS
  - DAG
  - DAST
  - DHCP
  - DNS
  - DOM
  - DSA
  - DVCS
  - ECDSA
  - ECS
  - EFS
  - EKS
  - EOL
  - EXIF
  - FAQ
  - FIFO
  - FIPS
  - FOSS
  - FQDN
  - FREE
  - FTP
  - GCP
  - GDK
  - GDPR
  - GET
  - GIF
  - GKE
  - GNU
  - GPG
  - GPL
  - GPU
  - GUI
  - HAML
  - HDD
  - HEAD
  - HIPAA
  - HLL
  - HTML
  - HTTP
  - HTTPS
  - IAM
  - IANA
  - IBM
  - IDE
  - IID
  - IMAP
  - IOPS
  - IRC
  - ISO
  - JPEG
  - JPG
  - JSON
  - JVM
  - JWT
  - LAN
  - LDAP
  - LDAPS
  - LESS
  - LFS
  - LRU
  - LTS
  - MIME
  - MIT
  - MVC
  - NAT
  - NDA
  - NFS
  - NGINX
  - NOTE
  - NPM
  - NTP
  - ONLY
  - OSS
  - OTP
  - OWASP
  - PAT
  - PCI-DSS
  - PDF
  - PEM
  - PEP
  - PGP
  - PHP
  - PNG
  - POSIX
  - POST
  - PUT
  - RAID
  - RAM
  - RBAC
  - RDP
  - REST
  - RFC
  - RHEL
  - RPC
  - RPM
  - RPS
  - RSA
  - RSS
  - RVM
  - SAAS
  - SAML
  - SAST
  - SATA
  - SCIM
  - SCP
  - SCSS
  - SDK
  - SELF
  - SEO
  - SFTP
  - SHA
  - SLA
  - SMS
  - SMTP
  - SOC
  - SOX
  - SPDX
  - SPF
  - SQL
  - SSD
  - SSG
  - SSH
  - SSL
  - SSO
  - SVG
  - SVN
  - TCP
  - TIFF
  - TIP
  - TLD
  - TLS
  - TODO
  - TOML
  - TTL
  - UDP
  - UNIX
  - URI
  - URL
  - USB
  - UTC
  - UTF
  - UUID
  - VCS
  - VPC
  - VPN
  - WIP
  - WSL
  - XML
  - XSS
  - YAML
  - ZAP
  - ZIP
